# Class $QProvider

#### Template: T

- Defined in core/q/q.js:57

#####
Index

### Constructors

constructor

### Properties

$get
errorOn

### Methods

errorOnUnhandledRejections

##
Constructors

### constructor

- new $QProvider(): $QProvider

- #### Returns $QProvider

  - Defined in core/q/q.js:58

##
Properties

### $get

$get: (string | (($rootScope: Scope, $exceptionHandler: ErrorHandler) => any))[] = ...

- Defined in core/q/q.js:62

### errorOn

errorOn: boolean

- Defined in core/q/q.js:59
- Defined in core/q/q.js:94

##
Methods

### errorOnUnhandledRejections

- errorOnUnhandledRejections(value): boolean | $QProvider

- Retrieves or overrides whether to generate an error when a rejected promise is not handled. This feature is enabled by default.

  #### Parameters

  - value: boolean

    Whether to generate an error when a rejected promise is not handled.

  #### Returns boolean | $QProvider

  Current value when called without a new value or self for chaining otherwise.

  - Defined in core/q/q.js:92